Subject: Processors should be applicable on full TypoScript object prototypes as well
Description

WORKS:

foo = FluidRenderer
foo << 1.wrap(....)

DOES NOT WORK:

prototype(FluidRenderer) << 1.wrap(....)

Associated revisions
Revision 40e81984 - 2012-08-03 08:01 - Sebastian Kurfuerst

[BUGFIX] Processors should be applicable on full object prototypes

Before this change, applying a processor on an object prototype did not work,
while it worked to apply a processor on a full object. Example:

foo = Text
foo << 1.wrap(...) # works
prototype(FluidRenderer) << 1.wrap(....) # does not work

With this change, the last line of the example is also made to work.

Furthermore, a unit test for the first line is added.

Fixes: #39500
Change-Id: I8e590e95909d567a714084985807402fe0984e7e

History
#1 - 2012-08-03 08:01 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13433

#2 - 2012-08-03 08:02 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review
http://review.typo3.org/13433


#3 - 2012-08-07 12:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:40e8198423ea456faced7fcc59dfa03146f8a88e.
